function DayDetailsController(ProductNutritionalInformationsRepository,ScreenService, DayDetailsService, LoginRepository, GroupedProductsByDayRepository){
    var selectedProduct = '';
    /* Gets all the products consumed in the period*/
    this.getGroupedProductsByDay = function(DTINI, DTFIM){
        LoginRepository.findOne().then(function (consumerData){
            DayDetailsService.getGroupedProductsByDay( consumerData['CDCLIENTE'],consumerData['CDCONSUMIDOR'], DTINI, DTFIM).then(function (requestData){
                if(requestData.length == 0){
                    GroupedProductsByDayRepository.clearAll();
                    ScreenService.openWindow('dayDetails');
                }else{
                    GroupedProductsByDayRepository.clearAll();
                    var firstProduct = requestData[0];
                    var date = firstProduct['DTMOVEXTCONS'];
                    requestData.map(function(product){
                        if(product !== firstProduct){
                            if(product['DTMOVEXTCONS'] === date){
                                product['DTMOVEXTDIAMES'] = '';
                            }else{
                                date = product['DTMOVEXTCONS'];
                            }
                        }
                    });
                    GroupedProductsByDayRepository.save(requestData).then(function(){
                        ScreenService.openWindow('dayDetails');
                    });
                }
            });
        });
    };

    this.openNutritionalInformations = function(CDPRODUTO){
        LoginRepository.findOne().then(function(consumerData){
            DayDetailsService.getNutritionalInformations(CDPRODUTO).then(function (requestData){
                if(requestData.length == 0){
                    ProductNutritionalInformationsRepository.clearAll();
                }
                ScreenService.openWindow('nutriDetails');
            });
        });
    };

    this.refreshDatasource = function(widget){
        widget.container.label += ' - '+selectedProduct;
        ProductNutritionalInformationsRepository.findAll().then(function(dataSource){
            dataSource.map(function(element){
                    element.VRNUTRIENTE = element.VRNUTRIENTE+' '+element.SGUNIDADE;
            });
            widget.dataSource.data = dataSource;
        });
    };

    this.goBack = function(container){
        var arrayAux = container.label.split(' - ');
        container.label = arrayAux[0];
        ScreenService.goBack();
    };

};

Configuration(function(ContextRegister){
    ContextRegister.register('DayDetailsController', DayDetailsController);
});
